> ## Documentation Index
> Fetch the complete documentation index at: https://docs.x-mart.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Webhook de nuevo pedido

> This service will need to be implemented on the client side so that Trade can consume it. This will serve to notify the client every time a new order entered event occurs.



## OpenAPI

````yaml POST /domain-cliente/webhook/new-order
openapi: 3.0.1
info:
  title: Api V3 documentación
  description: >-
    A sample API that uses a plant store as an example to demonstrate features
    in the OpenAPI specification
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.artisn.desarrollo-redbrand.com/api
  - url: https://api.kfc-group.desarrollo-redbrand.com
  - url: https://{apiId}.execute-api.{region}.amazonaws.com/{stage}
    description: API Gateway (PRIVATE; invocación típica vía VPC endpoint).
    variables:
      apiId:
        default: '{api-id}'
        description: ID del API REST desplegado.
      region:
        default: us-east-1
      stage:
        default: dev
        description: Mismo valor que parámetro EnvironmentName del stack.
security:
  - bearerAuth: []
paths:
  /domain-cliente/webhook/new-order:
    post:
      summary: New order webhook
      description: >-
        This service will need to be implemented on the client side so that
        Trade can consume it. This will serve to notify the client every time a
        new order entered event occurs.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                order_id:
                  type: string
                  description: Unique order identifier
                status:
                  type: string
                  description: Order Status
                customer:
                  type: object
                  properties:
                    id:
                      type: string
                      description: Unique customer identifier
                    name:
                      type: string
                      description: Customer name
                    email:
                      type: string
                      description: Customer Email
                items:
                  type: array
                  items:
                    type: object
                    properties:
                      product_id:
                        type: string
                        description: Unique product identifier
                      quantity:
                        type: integer
                        description: Product quantity
                      price:
                        type: number
                        description: Product price
                total:
                  type: number
                  description: Order Total
      responses:
        '200':
          description: Order successfully notified
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                    example: OK
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    example: invalid_request
                  error_description:
                    type: string
                    example: The request body is invalid
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````